summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ruari Oedegaard2012-04-30 02:56:24 +0200
committer Erik Hanson2012-04-30 07:40:07 +0200
commitf8522d3a155dd8bc7ab2db7e43b065ae9f0d549a (patch)
treedfbcab2a1fa26cd6a7769b95b8f72fd9d8fd5091
parentac5304feb6d3fd0b150a1c50bf24ffd54d9d0984 (diff)
downloadslackbuilds-f8522d3a155dd8bc7ab2db7e43b065ae9f0d549a.tar.gz
network/mosh: Added (MObile SHell server and client)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/mosh/README29
-rw-r--r--network/mosh/mosh.SlackBuild85
-rw-r--r--network/mosh/mosh.info10
-rw-r--r--network/mosh/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/network/mosh/README b/network/mosh/README
new file mode 100644
index 0000000000..f098288859
--- /dev/null
+++ b/network/mosh/README
@@ -0,0 +1,29 @@
+Mosh is a remote terminal application that allows roaming, supports
+intermittent connectivity, and provides intelligent local echo and line
+editing of user keystrokes.
+
+Mosh attempts to improve on SSH by being more robust and responsive,
+especially over Wi-Fi, cellular, and long-distance links.
+
+Mosh requires a little tweaking after first install on Slackware. Both
+the Mosh server and client applications must be run with a a UTF-8
+locale, which is not Slackware's default.
+
+To configure your client to work in a UTF-8 locale you should refer to
+Slackware documentation.
+
+For the server (remotehost), Mosh gets its locale setting from the
+client that is conecting to it. Slackware's SSH client and server do not
+send and receive locale information in their default configuration (SSH
+is used bootstrap the Mosh connection). Assuming that you have
+configured the client to use a UTF-8 locale you can work around this by
+connecting to the remotehost as follows:
+
+$ mosh remotehost --server="LANG=$LANG mosh-server"
+
+To avoid having to do this every time add 'SendEnv LANG LC_COLLATE' to
+/etc/ssh/ssh_config (on the client) and 'AcceptEnv LANG LC_COLLATE' to
+/etc/ssh/sshd_config (on the remotehost) and then restart the server's
+SSH daemon.
+
+Mosh depends on protobuf and perl-IO-Tty.
diff --git a/network/mosh/mosh.SlackBuild b/network/mosh/mosh.SlackBuild
new file mode 100644
index 0000000000..2a84b9c2af
--- /dev/null
+++ b/network/mosh/mosh.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for mosh
+
+# Written by ruario <sbo@ruari.com>
+
+PRGNAM=mosh
+VERSION=${VERSION:-1.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mosh/mosh.info b/network/mosh/mosh.info
new file mode 100644
index 0000000000..715018f8bc
--- /dev/null
+++ b/network/mosh/mosh.info
@@ -0,0 +1,10 @@
+PRGNAM="mosh"
+VERSION="1.1.3"
+HOMEPAGE="http://mosh.mit.edu/"
+DOWNLOAD="https://github.com/downloads/keithw/mosh/mosh-1.1.3.tar.gz"
+MD5SUM="de507695b6f67523bc81596f97220a9a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ruari Oedegaard"
+EMAIL="sbo@ruari.com"
+APPROVED="dsomero"
diff --git a/network/mosh/slack-desc b/network/mosh/slack-desc
new file mode 100644
index 0000000000..7727d9e4e9
--- /dev/null
+++ b/network/mosh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mosh: mosh (MObile SHell server and client)
+mosh:
+mosh: Remote terminal application that allows roaming, supports intermittent
+mosh: connectivity, and provides intelligent local echo and line editing of
+mosh: user keystrokes.
+mosh:
+mosh: Mosh attempts to improve on SSH by being more robust and responsive,
+mosh: especially over Wi-Fi, cellular, and long-distance links.
+mosh:
+mosh: http://mosh.mit.edu/
+mosh: